.navigation {
    position: fixed;
    background: #fff;
    top: 0;
    width: 100vw;
    padding: 0;
    opacity: 1;
	box-shadow: none;
    border-bottom: none;
	transition: box-shadow 0.1s ease-in-out, border-bottom 0.1s ease-in-out;
    z-index: 100;
}

.navigation--scrolled {
    box-shadow: 0 2px 5px -2px rgba(0, 0, 0, 0.2);
    border-bottom: 2px solid #ffdc00;
}

.navigation__content {
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: relative;
    margin: 0 auto;
    width: 100%;
    max-width: 1400px;
    height: 95px;
    padding: 5px 20px;
    z-index: 105;
}

.navigation__logo {
    display: flex;
    transition: all 0.3s ease-in-out;
    gap: 12px;
}

.navigation__controls {
    display: flex;
    align-items: center;
    list-style-type: none;
    gap: var(--space-m);
}

.navigation__dropdown {
    position: relative;
    gap: 8px;
    text-align: center;
    color: #00263d;
}

.navigation__dropdown-control {
    display: flex;
    align-items: center;
    font-size: var(--step-0);
    padding: 4px 0;
    background-color: transparent;
    gap: 6px;
}

.navigation__dropdown-container {
    position: absolute;
    display: flex;
    flex-direction: column;
    background: white;
    margin: 0;
    border-radius: 6px;
    background-color: #ccc;
	box-shadow: 2px 2px 6px rgba(0, 0, 0, 0.4);
    list-style: none;
    gap: 1px;
    opacity: 0;
    transform: scale(0.95);
    will-change: opacity, transform;
    transition: opacity 300ms cubic-bezier(0.19, 1, 0.22, 1), transform 300ms cubic-bezier(0.19, 1, 0.22, 1);
    transform-origin: top left;
    overflow: hidden;
}

.navigation__dropdown-container--visible {
    opacity: 1;
    transform: scale(1);
}

.navigation__dropdown-element {
	display: flex;
    width: 100%;
    height: 100%;
    margin: 0;
    background-color: #fff;
    font-size: var(--step--1);
    text-align: left;
    line-height: 32px;
	transition: background-color 0.15s ease-in-out;
}

.navigation__dropdown-element:hover {
	background-color: #f5f5f5;
}

.navigation__dropdown-element:has(> .navigation__dropdown-link:focus) {
    background-color: #f5f5f5;
}

.navigation__dropdown-element--sub-element {
    padding-left: 48px;
}

.navigation__dropdown-link,
.navigation__link {
    font-size: var(--step--1);
    color: #00263d;
	transition: color 0.15s ease-in-out;
}

.navigation__dropdown-link {
	flex: 1;
	padding: 10px 20px;
    text-wrap: nowrap;
}

.navigation__chevron-icon {
    filter: brightness(0) saturate(100%) invert(11%) sepia(37%) saturate(3196%) hue-rotate(176deg) brightness(90%)
        contrast(103%);
}

.navigation__link {
    display: flex;
    align-items: center;
    text-decoration: none;
    gap: 8px;
}

.navigation__dropdown-link:focus,
.navigation__link:hover,
.navigation__dropdown-link:hover,
.navigation__link:focus {
    color: #2d96cd;
    outline: none;
}

.navigation__mobile-menu {
    width: auto;
    display: inline-block;
    position: relative;
    display: none;
}

.navigation__mobile-toggle {
    margin-left: 20px;
    background-color: transparent;
}

.navigation__mobile-toggle i {
    font-size: 40px;
    color: #000;
}

.mobile-nav {
    width: 100%;
    display: none;
    align-items: center;
    justify-content: space-between;
}

.mobile-nav__close {
    background-color: transparent;
    font-size: 45px;
    color: #ffdc00;
}

.navigation__logout-button {
	display: block;
}

.navigation__logout-button--mobile {
	display: none;
}

@media (max-width: 992px) {
    .navigation__controls {
        display: flex;
        height: 100%;
        width: 100%;
        position: fixed;
        flex-direction: column;
        top: 0;
        left: 0;
        padding: 32px;
        margin: 0;
        background-color: #00263d;
        transition: transform 0.3s ease-out;
        transform: translate(-100%);
        gap: 32px;
        overflow-y: scroll;
        z-index: 9999;
    }

    .navigation__controls--open {
        display: flex;
        transform: translate(0);
    }

    .mobile-nav {
        display: flex;
    }

    .navigation__mobile-menu {
        display: flex;
        align-items: center;
    }

    .navigation__dropdown {
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 0;
    }

    .navigation__chevron-icon {
        filter: none;
    }

    .navigation__dropdown-container {
		box-shadow: none;
        position: relative;
        height: 0;
    }

    .navigation__dropdown-container--visible {
        height: 100%;
    }
    .navigation__dropdown-container,
    .navigation__dropdown-element {
        border-radius: 0;
        background-color: transparent;
    }
	
	.navigation__dropdown-element:hover {
		background-color: unset;
	}

    .navigation__dropdown-link,
    .navigation__link {
        color: #fff;
    }

    .navigation__dropdown-link {
        font-size: var(--step-0);
    }

    .navigation__link {
        font-size: var(--step-2);
    }
	
	.navigation__logout-button {
		display: none;
	}

	.navigation__logout-button--mobile {
		display: block;
	}
}
